Skip to main content
POST
/
v1
/
file-manager
/
import-from-data-table
Import From Data Table
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager/import-from-data-table \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataTableId": "<string>",
  "engagementId": "<string>",
  "name": "<string>",
  "fields": [
    "<string>"
  ],
  "parentFileManagerEntityId": "<string>",
  "query": {},
  "limit": 2
}
'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": "<string>",
  "entityType": "ORGANIZATION",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
dataTableId
string
required

The ID of the Data Table to export data from.

engagementId
string
required

The engagement that the Data Table belongs to.

name
string
required

The name for the exported CSV file without extension.

fields
string[]
required

The list of field names (columns) to include in the export.

parentFileManagerEntityId
string

The ID of the File Manager directory to place the exported file in. If null, the file is placed in the engagement's root directory.

query
object

An optional filter to apply to the data before exporting.

sort
Data Table Query Sort Order · object

An optional sort order to apply to the exported rows.

limit
integer<int32>

The maximum number of rows to export.

Required range: x >= 1
csvConfiguration
CSV Configuration · object

The configuration to use when generating the CSV file.

innerListCsvConfiguration
CSV Configuration · object

The configuration to use when formatting list values within cells in the CSV file.

Response

201 - application/json

Created

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string